%define version 3.1.0
%define rel 4
%define subrel 3
%define release %mkrel %{?pre:0.%{pre}.%{rel}}%{?!pre:%{rel}}

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	%version
Release:	%release
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}%{?pre}.tar.gz
Source1:	http://rsync.samba.org/ftp/rsync/rsync.html
Source2:	http://rsync.samba.org/ftp/rsync/rsyncd.conf.html
Source4:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}%{?pre}.tar.gz.asc
Source5:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}%{?pre}.tar.gz
Source6:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}%{?pre}.tar.gz.asc
Source12: rsyncd.socket
Source13: rsyncd.service
Source14: rsyncd.conf
Source15: rsyncd.sysconfig
Source16: rsyncd@.service
Patch0:		rrsync-bug-3.0.0.patch
Patch1:		rsync-3.1.0-CVE-2014-2855.patch
License:	GPLv3+
BuildRequires:	popt-devel
BuildRequires:	libacl-devel
Buildrequires:	zlib-devel
BuildRequires:	acl

%define acl_patches 1

%{?_with_patches:%define acl_patches 1}
%{?_without_patches:%define acl_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %acl_patches
This rpm has these patches applied from rsync tree:
  - acl: allow to mirror acl

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%if %acl_patches
%setup -q -D -b 5 -n %{name}-%{version}%{?pre}
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p1 -b -z .acl < patches/acls.diff
%else
%setup -q -n %{name}-%{version}%{?pre}
%endif
%patch0 -p0 -b .rrsync
%patch1 -p1 -b .CVE-2014-2855

%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --enable-acl-support \
    --with-nobody-group=nogroup \
    --without-included-zlib

%make proto
%make

%check
make test

%install
%makeinstall_std

install -m644 %{SOURCE1} %{SOURCE2} .

install -D -m644 %{SOURCE12} %{buildroot}%{_unitdir}/rsyncd.socket
install -D -m644 %{SOURCE13} %{buildroot}%{_unitdir}/rsyncd.service
install -D -m644 %{SOURCE14} %{buildroot}%{_sysconfdir}/rsyncd.conf
install -D -m644 %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/rsyncd
install -D -m644 %{SOURCE16} %{buildroot}%{_unitdir}/rsyncd@.service

%files
%doc tech_report.tex README *html NEWS OLDNEWS
%doc support/rrsync
%{_bindir}/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyncd
%{_unitdir}/rsyncd.socket
%{_unitdir}/rsyncd.service
%{_unitdir}/rsyncd@.service


%changelog
* Tue Feb 10 2015 luigiwalser <luigiwalser> 3.1.0-4.3.mga4
+ Revision: 814547
- fix use of setup macro so that patches actually get applied
- add upstream patch to fix CVE-2014-2855
- add rsync service template unit (mga#12925)

* Mon Oct 21 2013 umeabot <umeabot> 3.1.0-4.mga4
+ Revision: 538428
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 fwang <fwang> 3.1.0-3.mga4
+ Revision: 489596
- update man pages in html format

* Mon Sep 30 2013 fwang <fwang> 3.1.0-2.mga4
+ Revision: 489426
- update file list
- sync with fedora to use systemd settings for rsyncd
- use makeinstall_std
- cleanup spec

* Mon Sep 30 2013 fwang <fwang> 3.1.0-1.mga4
+ Revision: 489417
- new version 3.1.0

* Mon Jan 14 2013 umeabot <umeabot> 3.0.9-2.mga3
+ Revision: 380540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 fwang <fwang> 3.0.9-1.mga2
+ Revision: 147169
- new version 3.0.9

* Sat Apr 02 2011 ahmad <ahmad> 3.0.8-1.mga1
+ Revision: 79830
- update to 3.0.8
- don't disable lutime:
  o we have a recent enough kernel/glibc (and ideally Mageia doesn't officially
    support upgrading from 2008.x)
  o upstream now falls back to utime if lutime function is not around on the system

  + nanardon <nanardon>
    - kill mandriva reference
    - imported package rsync

